ru.bitel.bgbilling.kernel.task.server

## Class SchedulerUtils

- java.lang.Object
- - ru.bitel.bgbilling.kernel.task.server.SchedulerUtils

-     public class SchedulerUtils
      extends java.lang.Object

  Утильный класс планировщика заданий. Содержит общие методы, требуемые в разных частях планировщика

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchedulerUtils()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static boolean` | `checkExistModule(java.lang.String mid, java.lang.String className, java.lang.String taskParams)` Проверка на актуальность данной задачи, т.е. проверка существования экземпляра модуля/включенность плагина, для которого данная задача запускается.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SchedulerUtils

          public SchedulerUtils()

  - ### Method Detail

    - #### checkExistModule

          public static final boolean checkExistModule(java.lang.String mid,
                                                       java.lang.String className,
                                                       java.lang.String taskParams)
                                                throws ru.bitel.bgbilling.common.BGException

      Проверка на актуальность данной задачи, т.е. проверка существования экземпляра модуля/включенность плагина, для которого данная задача запускается.
      Parameters:
        `mid` - код модуля. Если 0 - ядро, если число - экземпляр модуля,"p<число>" - плагин;
        `className` - название класса задачи;
        `taskParams` - параметры задачи. Используеся в том случае, когда необходимо найти код модуля в параметрах задачи.
      Returns:
        true - если экземпляр модуля/плагин, которому соответствует задача, рельно существует/включен; false - в противной случае.
      Throws:
        `ru.bitel.bgbilling.common.BGException`